#ifndef FILE_INFO_H
#define FILE_INFO_H

class FileInfo
{
public:
    
    FileInfo()
    {}

    FileInfo(const FileInfo& from)
        : mName(from.mName),
        mType(from.mType),
        mHash(from.mHash),
        mLength(from.mLength),
        mDate(from.mDate)
    {}

    bool operator < (const FileInfo& from) const
    {
        return mName < from.mName;
    }

    bool operator == (const FileInfo& from) const
    {
        return mName == from.mName;
    }

    FileInfo& operator = (const FileInfo& from)
    {
        mName = from.mName;
        mType = from.mType;
        mHash = from.mHash;
        mLength = from.mLength;
        mDate = from.mDate;

	return *this;
    }

    std::string mName;
    DirNodeTypesE mType;
    std::string mHash;
    ssft_flen_t mLength;
    ssft_date_t mDate;
};

typedef std::set<FileInfo> fileset_t;

#endif // FILE_INFO_H
